commit:     6828d951509f248aa3130ba16d48b72fab33e635
Author:     Mathy Vanvoorden <mathy <AT> vanvoorden <DOT> be>
AuthorDate: Tue Oct 11 18:37:09 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed Oct 12 07:36:58 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6828d951

dev-python/mimeparse: use the actual ABI version

In src_install there was a bit of scripted logic to determine
the ABI used for link creation. This wasn't working with a
newer version of pypy3. Instead of the logic a small Python
script is implemented that should always get the correct
ABI version.

Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=586008

Package-Manager: portage-2.3.0
Closes: https://github.com/gentoo/gentoo/pull/2538

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-python/mimeparse/mimeparse-1.5.2-r1.ebuild | 16 +++++-----------
 1 file changed, 5 insertions(+), 11 deletions(-)

diff --git a/dev-python/mimeparse/mimeparse-1.5.2-r1.ebuild 
b/dev-python/mimeparse/mimeparse-1.5.2-r1.ebuild
index 0d1ed5a..e4d7e74 100644
--- a/dev-python/mimeparse/mimeparse-1.5.2-r1.ebuild
+++ b/dev-python/mimeparse/mimeparse-1.5.2-r1.ebuild
@@ -2,9 +2,9 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=5
+EAPI=6
 
-PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy pypy3 )
 
 inherit distutils-r1
 
@@ -28,22 +28,16 @@ RDEPEND=""
 DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
 
 python_test() {
-       "${PYTHON}" mimeparse_test.py || die "Tests fail with ${EPYTHON}"
+       "${EPYTHON}" mimeparse_test.py || die "Tests fail with ${EPYTHON}"
 }
 
 python_install() {
        distutils-r1_python_install
 
-       if [[ ${EPYTHON} == pypy ]]; then
-               local pyver=2.7
-       elif [[ ${EPYTHON} == pypy3 ]]; then
-               local pyver=3.2
-       else
-               local pyver=${EPYTHON#python}
-       fi
+       local pyver=$("${EPYTHON}" -c "import distutils.sysconfig; 
print(distutils.sysconfig.get_python_version())")
        python_export PYTHON_SITEDIR
 
        # Previous versions were just called 'mimeparse'
        ln -sf python_mimeparse-${PV}-py${pyver}.egg-info \
-               "${D%/}${PYTHON_SITEDIR}/mimeparse-${PV}-py${pyver}.egg-info" 
|| die
+               "${D%/}${PYTHON_SITEDIR}/mimeparse-${PV}-py${pyver}.egg-info" 
|| die "Could not create mimeparse link"
 }

Reply via email to